#!/bin/sh

## Create directory for log files
if [ ! -d var/log/cherokee ]; then
  mkdir -p var/log/cherokee
  chmod 755 var/log/cherokee
fi

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/cherokee/cherokee.conf.new
config etc/cherokee/cherokee.conf.perf_sample.new
config etc/cherokee/mime.compression.types.new
config etc/cherokee/mime.types.new
config etc/rc.d/rc.cherokee.new
config etc/logrotate.d/cherokee.new

